/*******************************************************************************
* ADSTAR Distributed Storage Manager                                           *
*                                                                              *
* Licensed Materials - Property of IBM                                         *
*                                                                              *
* (C) Copyright IBM Corporation 1990, 1996.                                    *
* All rights reserved.                                                         *
*                                                                              *
* Refer to Copyright Instructions.                                             *
*******************************************************************************/
'@echo off'
call PrintCopyWrite

/******************************************************************************/
/* Change the contents of the InstallFilesDirectory variable to indicate      */
/* the drive and directory where the ADSM installation files are located.     */
/******************************************************************************/
InstallFilesDirectory = "D:\DSMINST\"

/******************************************************************************/
/* Change the contents of the Action variable to indicate the action you want */
/* performed.  The valid actions are:                                         */
/*   'I' for Install                                                          */
/*   'D' for Delete                                                           */
/*   'U' for Update                                                           */
/*   'R' for Restore                                                          */
/******************************************************************************/
Action = 'I'

Action = translate( Action )                     /* Ensure uppercase          */
/******************************************************************************/
/* The ResponseFileName variable should contain the name and path of the      */
/* response file that you want to use.                                        */
/******************************************************************************/
ResponseFileName  = 'D:\DSMINST\ADSMRESP.DAT'

/******************************************************************************/
/* The ErrorLog variable tell the installer the path and file name for the    */
/* error log file.                                                            */
/******************************************************************************/
ErrorLog          = 'C:\ADSMINST.ERR'
HistoryLog        = 'C:\ADSMHIST.LOG'
/******************************************************************************/
/* Invoke INSTALL to install the ADSM client using the parameter specified    */
/* above.                                                                     */
/******************************************************************************/
InstallFilesDirectory'INSTALL',
  '/X',
  '/A:' || Action,
  '/R:' || ResponseFileName,
  '/L1:' || ErrorLog,
  '/L2:' || HistoryLog

retcode = rc                                     /* Save the return code      */
select
  when Action = 'I' then
    ActionMsg = 'Installation'
  when Action = 'D' then
    ActionMsg = 'Deletion'
  when Action = 'R' then
    ActionMsg = 'Restore'
  when Action = 'U' then
    ActionMsg = 'Update'
  otherwise
    nop
end                                              /* End select                */

/******************************************************************************/
/* Issue infomational messages based on the return code from INSTALL.         */
/******************************************************************************/
say ''
if (retcode = 0) | (retcode = -512)  then
  say ActionMsg 'of the ADSM Client for OS/2 has completed successfully.'
else
do
  say ActionMsg 'of the ADSM Client for OS/2 failed.'
  say 'More information regarding the failure is in the file:' ErrorLog
end

say 'INSTALL exited with a return code: 0x'd2x(retcode, 4)
exit


PrintCopyWrite:
  say ''
  say 'ADSTAR Distributed Storage Manager'
  say 'CID Installation Program'
  say ''
  say 'Licensed Materials - Property of IBM'
  say ''
  say '5655-119 (C) Copyright IBM Corporation 1990, 1996. All rights reserved.'
  say 'U.S. Government Users Restricted Rights - Use, duplication or disclosure'
  say 'restricted by GSA ADP Schedule Contract with IBM Corporation.'
  say ''
return
